package org.apache.logging.log4j.jdbc.appender.plugins;

import org.apache.logging.log4j.plugins.model.PluginEntry;
import org.apache.logging.log4j.plugins.model.PluginService;

public class Log4jPlugins extends PluginService {

  private static final PluginEntry[] ENTRIES = new PluginEntry[] {
    PluginEntry.builder()
      .setKey("connectionfactory")
      .setClassName("org.apache.logging.log4j.jdbc.appender.FactoryMethodConnectionSource")
      .setName("ConnectionFactory")
      .setNamespace("Core")
      .setElementType("connectionSource")
      .setPrintable(true)
      .get(),
    PluginEntry.builder()
      .setKey("jdbc")
      .setClassName("org.apache.logging.log4j.jdbc.appender.JdbcAppender")
      .setName("JDBC")
      .setNamespace("Core")
      .setElementType("appender")
      .setPrintable(true)
      .get(),
    PluginEntry.builder()
      .setKey("drivermanager")
      .setClassName("org.apache.logging.log4j.jdbc.appender.DriverManagerConnectionSource")
      .setName("DriverManager")
      .setNamespace("Core")
      .setElementType("connectionSource")
      .setPrintable(true)
      .get(),
    PluginEntry.builder()
      .setKey("datasource")
      .setClassName("org.apache.logging.log4j.jdbc.appender.DataSourceConnectionSource")
      .setName("DataSource")
      .setNamespace("Core")
      .setElementType("connectionSource")
      .setPrintable(true)
      .get(),
    PluginEntry.builder()
      .setKey("column")
      .setClassName("org.apache.logging.log4j.jdbc.appender.ColumnConfig")
      .setName("Column")
      .setNamespace("Core")
      .setElementType("Column")
      .setPrintable(true)
      .get()
    };
    @Override
    public PluginEntry[] getEntries() { return ENTRIES; }
}
